For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • GETGet Project Entity Supply Chain Snapshots
      • GETGet Project Entity Supply Chain Snapshot By Id
      • POSTCreate Project Entity Supply Chain Snapshot
      • DELDelete Project Entity Supply Chain Snapshot By Id
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceProject Entity Supply Chain Snapshots

Get Project Entity Supply Chain Snapshots

Beta
GET
/v1/projects/:project_id/entities/:project_entity_id/supply_chain/snapshots
GET
/v1/projects/:project_id/entities/:project_entity_id/supply_chain/snapshots
$curl https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/supply_chain/snapshots \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "snapshot_id": "xG8wYP",
5 "label": "My REST Snapshot",
6 "release_tag": "20220429212557_test",
7 "partial_results": false,
8 "explored_count": 6,
9 "created_at": "2025-08-12 20:13:20.49643+00",
10 "updated_at": "2025-08-12 20:13:20.49643+00"
11 }
12 ]
13}
Retrieves all supply chain snapshots for a project entity.
Was this page helpful?
Previous

Get Project Entity Supply Chain Snapshot By Id

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

project_idstringRequired
project_entity_idstringRequired

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request
401
Unauthorized
404
Not Found
405
Method Not Allowed
429
Rate Limit Exceeded
500
Internal Server Error